# RPM specfile for libghttp module
# Generated Fri Mar 29 21:13:37 2002 GMT by Ximian build system
# $Id: bb_do,v 1.179 2002/03/15 23:19:54 thunder Exp $
# from $Id: ximian-build.conf,v 1.29 2002/03/26 20:15:01 dobey Exp $

%define nam	libghttp
%define ver	1.0.9
%define ximrev	10

Name:     	libghttp1
Version: 	1.0.9
Release:	2.ximian.10
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		ftp://ftp.jimpick.com/pub/mirrors/gnome
Source0:	libghttp-1.0.9.tar.gz
Summary:	Gnome HTTP client library
Group:		System Environment/Libraries
Requires:	libglib1.2
Provides:	libghttp = %{PACKAGE_VERSION}
Provides:	ximian-libghttp1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This library is used by Gnome clients to do HTTP.

%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/usr/lib/libghttp.so.*


%post
ldconfig

%postun
ldconfig

%package -n libghttp1-devel
Summary:	Development files for GNOME http library
Group:		Development/Libraries
Requires:	libghttp1 = %{PACKAGE_VERSION}
Requires:	glib-devel
Provides:	libghttp-devel = %{PACKAGE_VERSION}
Provides:	ximian-libghttp1-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libghttp1-devel
This packages provides the include files and static library for the Gnome HTTP functions. 

%files -n libghttp1-devel
%defattr(-, root, root)
/usr/lib/libghttp.so
/usr/lib/libghttp.a
/usr/lib/libghttp.la
/usr/include/*
/usr/lib/ghttpConf.sh


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libghttp-1.0.9
    ;;
all)
%setup  -q -n libghttp-1.0.9
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc infodir=${DESTDIR}/usr/share/info mandir=${DESTDIR}/usr/share/man
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Mar 29 2002 Ximian, Inc.

- Version: 1.0.9-2.ximian.10
- Summary: New build.
- New automated build.

